curl --request GET \
--url https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}import requests
url = "https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"implemented_count": 3,
"integrations": {
"hos_event": "unknown",
"message": "implemented",
"user": "not_implemented",
"vehicle": "implemented",
"vehicle_location": "implemented"
},
"not_implemented_count": 1,
"not_supported_count": 0,
"operations": {
"hos_event": {
"create": "unknown",
"update": "unknown"
},
"message": {
"create": "implemented",
"update": "not_implemented"
},
"user": {
"create": "not_implemented",
"update": "not_implemented"
},
"vehicle": {
"create": "implemented",
"update": "not_implemented"
},
"vehicle_location": {
"create": "unknown",
"update": "unknown"
}
},
"slug": "eroad-us",
"source_name": "eroad",
"tsp_id": "00000000-0000-0000-0000-000000000001",
"unknown_count": 1
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}{
"code": 504,
"message": "Gateway Timeout",
"detail": "<string>"
}Get Integrations Per Tsp
Get one TSP by id with its supported integrations.
curl --request GET \
--url https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}import requests
url = "https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/integrations/tsps/{tsp_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"implemented_count": 3,
"integrations": {
"hos_event": "unknown",
"message": "implemented",
"user": "not_implemented",
"vehicle": "implemented",
"vehicle_location": "implemented"
},
"not_implemented_count": 1,
"not_supported_count": 0,
"operations": {
"hos_event": {
"create": "unknown",
"update": "unknown"
},
"message": {
"create": "implemented",
"update": "not_implemented"
},
"user": {
"create": "not_implemented",
"update": "not_implemented"
},
"vehicle": {
"create": "implemented",
"update": "not_implemented"
},
"vehicle_location": {
"create": "unknown",
"update": "unknown"
}
},
"slug": "eroad-us",
"source_name": "eroad",
"tsp_id": "00000000-0000-0000-0000-000000000001",
"unknown_count": 1
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}{
"code": 504,
"message": "Gateway Timeout",
"detail": "<string>"
}Path Parameters
Response
Successful Response
API model describing which resources are supported by a TSP adapter.
Unique identifier for the Telematics Service Provider (TSP).
Map of every resource to the current integration implementation status. Reflects read support.
Show child attributes
Show child attributes
Map of every resource to the support status of each write-back operation. implemented means Catena can perform that write against this TSP today; not_implemented that the TSP exposes the operation but Catena cannot perform it yet; not_supported that the TSP does not expose the resource at all; unknown that the operation has not been classified for this TSP/resource pair.
Show child attributes
Show child attributes
Count of integrations supported by the TSP and implemented by Catena
Count of integrations supported by the TSP, but not implemented by Catena
Count of integrations not supported by the TSP
Count of integrations whose support status is currently unknown
Human-friendly slug for the TSP.
Enum for TSPs
ada, air_eld, ai_eld, alfa_eld, alpha_eld, als, amcs_group, anytrek_classic, anytrek_pro, apex_eld, apollo, apollocloud, arezzo_tech, ascend, att, autogri_eld, awaregps, azuga, bellfam, bigroad, blackbear_eld, bluehorse_eld, blueinktech, bmw, bolt_eld, bouncie, bright_tech_eld, budgetgps, captain_eld, carrier_lynx, catena_simulator, chronos, club_eld, clutch_eld, cogo_eld, coretex, core_eld, counting_trucks_eld, cyntrx, daily_eld, dfl_eld, digital_eld, dlog_eld, dragon_eld, dream_eld, dreyev, driver_tech, drive_hos, drive_hos_v2, dronemobile, dsg_elogs, dynamic_eld, eighteighteight_eld, eldtrex_driver, eld_88, eld_books, eld_hub, eld_mandate, eld_mandate_prime, eld_rider, eld_road, elog_plus, eroad, etm_solution, eva_eld, evo_eld, expressway_eld, extreme_eld, ezlogz, ez_eld, ez_fleet, ez_lynk, factor_eld, firstgate, fleetcomplete, fleetcompletehub, fleethunt, fleet_locate, fleetpulse, fleetsharp, fleetup, flex_eld, fm, force_fleet_tracking, fordpro, forwardthinking, forza_eld, garmin, geotab, gm, gorilla_fleet_safety, gpsinsight, gpstab, gpstrackit, grand_eld, greenlight, groundhog, hcss, hive_eld, hos247, hos_eld, hutch, hyundai, ilog_eld, intelelogs, intellishift, ironman_eld, isaac, jjkeller, keepon_eld, kinexaiot, knight_eld, konexial, linxup, lioneight, loop_eld, lucid_eld, luna_eld, lytx, lytxv3, mapon, matrack, maven, mdm_eld, mercedes, michelin_connected_fleet, mobilefleet, momentum, monster_eld, moonlight_eld, motion_eld, motive, my_drivebook, my_logs_eld, neo_eld, nero, netradyne, new_eld_world, nextgen_eld, nextraq, nexus_eld, omnitracs, omnitracs_one, 1sew_eld, onestep, onroad_eld, ontime_eld, optima, optimus_tracker, orbcomm, orient_eld, orion_eld, oson_elogs, ozod_eld, panda_eld, patriot_eld, payd, peak_eld, pedigree, penske_eld, peoplenet, phillips_connect, phoenix, pop_eld, prestige_eld, prime_duty_solutions, prologs, proride_eld, qualitylogs_eld, rand_eld, randmcnally, rastrac, raven, razor_tracking, redfox, regulog_eld, ridehub, rigbot, rivian, roadeazy, roadready, rock_eld, rollingtrans, routemate, route_one_eld, royal_eld, safelane, samsara, sba_eld, selectivedrive, seven_days_log, simba_eld, simplex, simple_truck_eld, simple_way_eld, skybitz, smart_elds, sparkle_eld, spectre_eld, spireon, stellantis, sts_eld, sunriser_eld, sun_eld, surfsight, sv_eld, swift, switchboard, synergy_eld, teddy_eld, teletracnavman, teletracnavman_director, telogis, tenna, tesla, teslemetry, thermo_king, think, three_md, tive, topcompliance_eld, top_eld, toyota, traccar, trackease_eld, trackhawk_gps, trackpro, track_your_truck, traclog, transflo, trimac, trimble, truckford, trucking_kit, trucking_office, truckspy, truckx, trueroad_eld, tt, 2bro_eld, txt_eld, tx_eld, under_control_eld, us_fast_eld, verizon_connect, vista_eld, vistracks, vlog_eld, volvo, vrh_eld, vulcansols_eld, vw, webfleet, wialon, wireless_links, wizefleet_eld, xplore_eld, youlog_eld, zaphira_eld, zigzag_eld, zippy_eld, zms_eld, zonar, zubie Was this page helpful?